classification
Title: email.utils.parseaddr has no docstring
Type: behavior Stage: resolved
Components: email, Library (Lib) Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, barry, kwarunek, mark.dickinson, r.david.murray, rohitb
Priority: normal Keywords: easy, patch

Created on 2017-09-18 09:52 by mark.dickinson, last changed 2017-10-07 05:31 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3647 merged rohitb, 2017-09-18 15:10
PR 3733 merged rohitb, 2017-09-24 19:42
PR 3735 merged rohitb, 2017-09-24 19:57
Messages (6)
msg302442 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2017-09-18 09:52
While demonstrating email.utils.parseaddr in a recent training course, I discovered it had no docstring (see below). This looks as though it should be an easy fix for a first-time contributor.

taniyama:Desktop mdickinson$ ipython
Python 3.6.2 (default, Jul 24 2017, 13:17:39) 
Type 'copyright', 'credits' or 'license' for more information
IPython 6.2.0 -- An enhanced Interactive Python. Type '?' for help.

In [1]: from email.utils import parseaddr

In [2]: parseaddr?
Signature: parseaddr(addr)
Docstring: <no docstring>
File:      /opt/local/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/email/utils.py
Type:      function
msg302459 - (view) Author: Krzysztof Warunek (kwarunek) * Date: 2017-09-18 14:37
As well as `parsedate_to_datetime`... I'll work on that
msg302461 - (view) Author: Rohit Balasubramanian (rohitb) * Date: 2017-09-18 15:10
I have submitted a pull request for the changes to email.utils.parseaddr.
msg302468 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-09-18 16:16
Mark: re your training course...if you aren't trying to stay compatible with python2, note that python3 has a much more sophisticated address parser now, that gets called automatically if you use the new policies.
msg302560 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2017-09-19 19:10
New changeset 9e7b9b21fe45f7d93eaf9382fedfa18247d0d2b2 by R. David Murray (Rohit Balasubramanian) in branch 'master':
bpo-31507 Add docstring to parseaddr function in email.utils.parseaddr (gh-3647)
https://github.com/python/cpython/commit/9e7b9b21fe45f7d93eaf9382fedfa18247d0d2b2
msg303869 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-10-07 05:27
New changeset 93c0885dc84381cbbb970402b1a21bf690ee312c by Mariatta (Rohit Balasubramanian) in branch '3.6':
bpo-31507 Add docstring to parseaddr function in email.utils.parseaddr (GH-3647) (GH-3733)
https://github.com/python/cpython/commit/93c0885dc84381cbbb970402b1a21bf690ee312c
History
Date User Action Args
2017-10-07 05:31:55Mariattasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-10-07 05:27:41Mariattasetnosy: + Mariatta
messages: + msg303869
2017-09-24 19:57:14rohitbsetpull_requests: + pull_request3721
2017-09-24 19:42:28rohitbsetpull_requests: + pull_request3719
2017-09-19 19:10:51r.david.murraysetmessages: + msg302560
2017-09-18 16:16:18r.david.murraysetnosy: + barry, r.david.murray
messages: + msg302468
components: + email
2017-09-18 15:10:03rohitbsetnosy: + rohitb
messages: + msg302461
pull_requests: + pull_request3640

keywords: + patch
stage: patch review
2017-09-18 14:37:15kwaruneksetnosy: + kwarunek
messages: + msg302459
2017-09-18 09:52:35mark.dickinsoncreate